net.sf.jasperreports.engine.export

## Class AbstractExporterNature

- java.lang.Object
- - net.sf.jasperreports.engine.export.AbstractExporterNature

- All Implemented Interfaces:
    ExporterFilter, ExporterNature
  Direct Known Subclasses:
    JRCsvExporterNature, JRHtmlExporterNature, JROfficeOpenXmlExporterNature, JROpenDocumentExporterNature, JRXlsAbstractExporterNature

      public abstract class AbstractExporterNature
      extends java.lang.Object
      implements ExporterNature

  Version:
    $Id: AbstractExporterNature.java 7042 2014-04-24 10:54:02Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ExporterFilter` | `filter`
    `protected GenericElementHandlerEnviroment` | `handlerEnvironment`
    `protected JasperReportsContext` | `jasperReportsContext`
    `protected JRPropertiesUtil` | `propertiesUtil`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractExporterNature(JasperReportsContext jasperReportsContext, ExporterFilter filter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRPropertiesUtil` | `getPropertiesUtil()`
    `void` | `setXProperties(CutsInfo xCuts, JRPrintElement element, int row1, int col1, int row2, int col2)`
    `void` | `setXProperties(java.util.Map<java.lang.String,java.lang.Object> xCutsProperties, JRPrintElement element)`
    `void` | `setYProperties(CutsInfo yCuts, JRPrintElement element, int row1, int col1, int row2, int col2)`
    `void` | `setYProperties(java.util.Map<java.lang.String,java.lang.Object> yCutsProperties, JRPrintElement element)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.export.ExporterNature

      `isBreakAfterRow, isBreakBeforeRow, isDeep, isHorizontallyMergeEmptyCells, isIgnoreLastRow, isIgnorePageMargins, isSpanCells`

    - ### Methods inherited from interface net.sf.jasperreports.engine.export.ExporterFilter

      `isToExport`

- - ### Field Detail

    - #### jasperReportsContext

          protected final JasperReportsContext jasperReportsContext

    - #### handlerEnvironment

          protected final GenericElementHandlerEnviroment handlerEnvironment

    - #### propertiesUtil

          protected final JRPropertiesUtil propertiesUtil

    - #### filter

          protected final ExporterFilter filter

  - ### Constructor Detail

    - #### AbstractExporterNature

          protected AbstractExporterNature(JasperReportsContext jasperReportsContext,
                                ExporterFilter filter)

  - ### Method Detail

    - #### getPropertiesUtil

          public JRPropertiesUtil getPropertiesUtil()

    - #### setXProperties

          public void setXProperties(CutsInfo xCuts,
                            JRPrintElement element,
                            int row1,
                            int col1,
                            int row2,
                            int col2)

      Specified by:
        `setXProperties` in interface `ExporterNature`

    - #### setXProperties

          public void setXProperties(java.util.Map<java.lang.String,java.lang.Object> xCutsProperties,
                            JRPrintElement element)

      Specified by:
        `setXProperties` in interface `ExporterNature`

    - #### setYProperties

          public void setYProperties(CutsInfo yCuts,
                            JRPrintElement element,
                            int row1,
                            int col1,
                            int row2,
                            int col2)

      Specified by:
        `setYProperties` in interface `ExporterNature`

    - #### setYProperties

          public void setYProperties(java.util.Map<java.lang.String,java.lang.Object> yCutsProperties,
                            JRPrintElement element)

      Specified by:
        `setYProperties` in interface `ExporterNature`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com